# You must rebuild samba src rpm before to have actual headers
%define sambaversion 3.0.2

Summary:	ClamAV scanning VFS module for samba
Name:		samba-vscan-clamav
Version:	0.3.5
Release:	1
License:	GPL
Group:		Applications/System
URL:		http://www.openantivirus.org/
Source0:	samba-vscan-%{version}.tar.bz2
Source1:	RPM-samba-vscan-clamav.txt
Requires:	clamav
Requires:	samba >= %{sambaversion}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Virus scanning VFS module for samba. Log infected files via syslog
facility and block access using Clam AntiVirus Daemon.


%prep
%setup -q -n samba-vscan-%{version}


%build
%configure \
	--with-fhs \
	--with-samba-source=../samba-%{sambaversion}/source
%{__make} clamav
strip vscan-clamav.so


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/samba/
install -d $RPM_BUILD_ROOT%{_libdir}/samba/vfs/

# Fix socket config
sed -e 's!^clamd socket .*!clamd socket name = /var/run/clamav/clamd.sock!;' \
	clamav/vscan-clamav.conf > $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan-clamav.conf

install vscan-clamav.so $RPM_BUILD_ROOT%{_libdir}/samba/vfs/.
install %{SOURCE1} RPM-samba-vscan-clamav.txt


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%pre

%post

%preun

%postun


%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO VERSION
%doc RPM-samba-vscan-clamav.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/samba/vscan-clamav.conf
%attr(0755,root,root) %{_libdir}/samba/vfs/vscan-clamav.so


%changelog
* Wed May 19 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5-1
- Update to 0.3.5

* Mon Mar 15 2004 Petr Kritof <Petr|Kristof_CZ> 0.3.5alpha2-1
- Initial FC-1

